#include<SoftwareSerial.h>
SoftwareSerial dbug(PIN_PB0, PIN_PB1); 
/*--- Code Snippet by @johnwasser, http://forum.arduino.cc/index.php?topic=346005.0 ---*/
/*--- Modified to USB-to-TTL support by AnawinWz ---*/
String command(String toSend, unsigned long milliseconds = 1000) {
  String result;
  dbug.print("Sending: ");
  Serial.println(toSend);
  dbug.println(toSend);
  unsigned long startTime = millis();
  dbug.print("Received: ");
  while (millis() - startTime < milliseconds) {
    if (Serial.available()) {
      char c = Serial.read();
      dbug.write(c);
      result += c;
    }
  }
  return result;
}
/*--- End Code Snippet ---*/

String result;
void WiFi_init() {
  digitalWrite(PIN_PD3, HIGH);
  dbug.begin(115200);
  Serial.begin(115200);
  bool isConnect = true;
  result = command("AT", 50);
    if (result.indexOf("OK")!=-1) ;
    else isConnect = false;
  
  result = command("AT+CIPMUX=0", 50);
    if (result.indexOf("OK")!=-1) digitalWrite(PIN_PC1, LOW);
    else isConnect = false, digitalWrite(PIN_PC1, HIGH);
  result = command("AT+CWMODE=1", 50);
    if (result.indexOf("OK")!=-1) digitalWrite(PIN_PC2, LOW);
    else isConnect = false, digitalWrite(PIN_PC2, HIGH);
  result = command("AT+CWJAP=\"YOUR_WIFI_NAME\",\"YOUR_WIFI_PASSWORD\"", 6000);
    if (result.indexOf("OK")!=-1) digitalWrite(PIN_PC3, LOW);
    else isConnect = false, digitalWrite(PIN_PC3, HIGH);

  if(isConnect) digitalWrite(PIN_PD3, LOW);
}

void setup() {
  pinMode(PIN_PC0, INPUT);
  pinMode(PIN_PD3, OUTPUT);

  pinMode(PIN_PC1, OUTPUT);
  pinMode(PIN_PC2, OUTPUT);
  pinMode(PIN_PC3, OUTPUT);

  WiFi_init();
}
char buff[100];
void sendData(int val) {
  result = command("AT+CIPSTART=\"TCP\",\"YOUR_WEBSERVER_IP\",80", 95);
  
  String getRequest = "GET /save.php?token=YOUR_SECRET_TOKEN&val=" + String(val) + String(" HTTP/1.1\r\n") +
  "Host: YOUR_DOMAIN_NAME\r\n" +
  "User-Agent: CPEKUPractBoard\r\n";
  String sendCmd = "AT+CIPSEND="+String(getRequest.length()+2);
  command(sendCmd,75);
  command(getRequest,110);
  command("AT+CIPCLOSE",80);
}

void loop() {
  sendData((int)analogRead(PIN_PC0));
  delay(150);
}
