<?php
//define('DEBUG', true);
$locationName = 'วัดมังกรกมลาวาส (เล่งเน่ยยี่)';
?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<link href="https://fonts.googleapis.com/css?family=Srisakdi:700|Thasadith:700" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/solid.css" integrity="sha384-QokYePQSOwpBDuhlHOsX0ymF6R/vLk/UQVz3WHa6wygxI5oGTmDTv8wahFOSspdm" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/fontawesome.css" integrity="sha384-vd1e11sR28tEK9YANUtpIOdjGW14pS87bUBuOIoBILVWLFnS+MCX9T6MMf0VdPGq" crossorigin="anonymous">
	
	<link href="chichi.css" rel="stylesheet">
	
    <title>เซียมซี 4.0</title>
  </head>
  <body>
	  <div class="d-flex align-items-center h-100">
		  <div class="container">
			<div id="locationScreen" class="text-center" style="display:none;">
				<h1 class="mb-3">
					ยินดีต้อนรับ!
				</h1>
				<h4 class="subfont mb-5">๏ กรุณาเลือกสถานที่ที่ต้องการเสี่ยงเซียมซี ๏</h4>
				<div class="location mt-5" onclick="connectDevice();return false">
					<img src="img/0.jpg"/>
					<div><h2 class="subfont"><?=$locationName;?></h2></div>
				</div>
				<p style="position:absolute;bottom:0;" class="absCenter">เพื่อประสบการณ์ที่ราบรื่น โปรดเชื่อมต่ออุปกรณ์ทันทีระหว่างการเลือกสถานที่</p>
			</div>
			<div id="loadingScreen" class="h-100" style="display:none;">
				<p id="loadingP"></p>
				<h1 class="text-center" id="loadingStatus">กำลังผูกโยงกับกระบอกเซียมซี.</h1>
			</div>
			<div id="mainScreen" style="display:none;">
				<h3 class="text-center" id="captionTxt">
					เขย่ากระบอกเพื่อดูโชคชะตาของคุณ!
				</h3>
				<div class="progress-bar" id="progBarCtn">
					<div class="progress bg-light" id="progBar" style="width:0%;"></div>
				</div>
				<div id="fortuneCanCtn">
					<div id="stickContainer">
						<img src="fortunestick.png" class="fortuneStick" />
						<img src="fortunestick.png" class="fortuneStick even" />
						<img src="fortunestick.png" class="fortuneStick" />
						<img src="fortunestick.png" class="fortuneStick even" />
						<img src="fortunestick.png" class="fortuneStick" />
					</div>
					<img src="fortunecan.png" id="fortuneCan" />
				</div>
			</div>
			<div id="resultScreen" style="display:none;">
				<h4 id="resultLoading" class="text-center" style="display:none;">กำลังโหลดผลลัพธ์...</h4>
				<div class="card" style="" id="resultCard">
					<div class="card-body">
						<h4 class="card-title" id="cardName"></h4>
						<p class="card-text" id="cardDesc"></p>
						<small class="text-papermuted"><?=$locationName;?></small>
					</div>
				</div>
				<button class="btn btn-outline-light" id="homeBtn">กลับสู่หน้าแรก</button>
			</div>
		</div>
	</div>
	
	<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous" defer></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous" defer></script>
	
	<script src="chichi.js"></script>
	<script>
<?php if(defined('DEBUG')) { ?>
		function simulateShake() {
			startShakeTime = 1556896562;
			endShakeTime = 1556896570;
			var tmpTime = startShakeTime,
				tmpInterval = setInterval(function() {
					$('#fortuneCanCtn').addClass('shake');
					$('#captionTxt').html('กำลังรวบรวมแรงศรัทธาของคุณ...');
					tmpTime++;
					if(tmpTime >= endShakeTime) {
						window.clearInterval(tmpInterval);
						initLoadCard();
					}
					progVal(tmpTime - startShakeTime, 5);
				}, 1000);
			
		}
		$(function() {
			$('#mainScreen').fadeIn(1000);
		});
<?php } else { ?>
		$(function() {
			$('#locationScreen').fadeIn(1000);	
		});
<?php } ?>
	</script>
  </body>
</html>